Topic: Problème IMAP et php

Bonjour à toi, et a vous tous. big_smile

Voila je suis sous un SLES 11, j'y ai installer glpi, et je voulais utilisé les mails de celui-ci. après avoir installer imap je reçois ceci comme message:

"Your PHP parser was compiled without the IMAP functions
Impossible to use email server as external source of connection"

Donc j'ai un peu chercher et j'ai voulu rajouter l'extension de php : php5-imap, ou bien php-imap. Mais aucun moyen de le trouver avec "yast2 -i php-imap".

Quelqu'un aurai une solution?

Je tiens à préciser que je travaille sous VM ou je n'ai pas tous les droits dessus. Mais je suis logué en root quand même.

Faut t'il que je rajoute un repository? dans ce cas où? (je n'ai pas trouvé le sources.list)

Merci d'avance smile

Morgan

Re: Problème IMAP et php

Aucune idée.

Voir sur le support Suse (puisque SLES est une version commerciale).

Ici, c'est uniquement le support pour "mes" RPM et donc pour Fedora, RHEL, CentOS...

Desktop: Fedora 27 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 28 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: Problème IMAP et php

Ah pardon :x, c'est juste que j'ai vu que tu avais une RPM sur php-imap. Et vu que j'ai vu que tu etais beaucoup sur le forum de glpi, je me disais que tu avais une petite idée.

Merci quand même smile

Bonne journée

Morgan

Re: Problème IMAP et php

Voila j'ai résolu mon soucis.
pour ceux qui sont sous SLES11 sp1
Aller sur l'interface graphique de SUSE.

rajouter h ttp: // devant chaque lien

il faut aller sur ce site: software.opensuse.org/search?q=php5&baseproject=SUSE%3ASLE-11%3ASP1&lang=en

mettre a jour php5,
aller en ligne de commande:
puis Télécharger : wget download.opensuse.org/repositories/home:/paca/SLE_11/x86_64/imap-lib-2006c1_suse-130.1.x86_64.rpm
                   wget download.opensuse.org/repositories/home:/paca/SLE_11/x86_64/imap-devel-2006c1_suse-130.1.x86_64.rpm
                   wget download.opensuse.org/repositories/home:/paca/SLE_11/x86_64/imap-2006c1_suse-130.1.x86_64.rpm


et les Installer: rpm -i imap-2006c1_suse-130.1.x86_64.rpm
                  rpm -i imap-lib-2006c1_suse-130.1.x86_64.rpm
                  rpm -i imap-devel-2006c1_suse-130.1.x86_64.rpm

puis retourner sur le browser et chercher php5-imap:

software.opensuse.org/search?q=php5-imap&baseproject=SUSE%3ASLE-11%3ASP1&lang=en


et installer.

oublier pas de relancer apache2

et votre module sera installé.

Morgan